Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginUnitDefinition

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginUnitDefinition

    public class PluginUnitDefinition

extends PluginSBase

This class wraps org.sbml.libsbml.UnitDefinition for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginUnitDefinition(java.lang.String id)` Constructor

Method Summary
`void` | `addUnit(PluginUnit unit)` Sets the PluginUnit of this PluginUnitDefinition.
`java.lang.String` | `getId()`
`PluginListOf` | `getListOfUnits()`
`java.lang.String` | `getName()`
`int` | `getNumUnits()`
`PluginUnit` | `getUnit(int index)` Gets the PluginUnit with the given index.
`void` | `removeUnit(int index)` Removes the PluginUnit with the given index from this PluginUnitDefinition.
`void` | `removeUnit(PluginUnit unit)` Removes the PluginUnit from this PluginUnitDefinition.
`void` | `setListOfUnits(PluginListOf listOfUnits)` Sets the list of PluginUnit of this PluginUnitDefinition
`void` | `setName(java.lang.String name)` Sets the name of this PluginUnitDefinition.
`void` | `update(PluginUnitDefinition unit)` Update all properties of this PluginUnitDefinition to the same as the given PluginUnitDefinition.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginUnitDefinition

    public PluginUnitDefinition(java.lang.String id)

  Constructor

  Parameters:
    `id` -

Method Detail

### update

    public void update(PluginUnitDefinition unit)

  Update all properties of this PluginUnitDefinition to the same as the given PluginUnitDefinition.

  Parameters:
    `unit` -

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginUnitDefinition

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginUnitDefinition

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginUnitDefinition.

  Parameters:
    `name` -

### addUnit

    public void addUnit(PluginUnit unit)

  Sets the PluginUnit of this PluginUnitDefinition.

  Parameters:
    `unit` -

### removeUnit

    public void removeUnit(PluginUnit unit)

  Removes the PluginUnit from this PluginUnitDefinition.

  Parameters:
    `unit` -

### removeUnit

    public void removeUnit(int index)

  Removes the PluginUnit with the given index from this PluginUnitDefinition.

  Parameters:
    `index` -

### getUnit

    public PluginUnit getUnit(int index)

  Gets the PluginUnit with the given index.

  Parameters:
    `index` -
  Returns:
    PluginUnit

### getListOfUnits

    public PluginListOf getListOfUnits()

  Returns:
    the list of PluginUnit of this PluginUnitDefinition.

### setListOfUnits

    public void setListOfUnits(PluginListOf listOfUnits)

  Sets the list of PluginUnit of this PluginUnitDefinition

### getNumUnits

    public int getNumUnits()

  Returns:
    the number of PluginUnit of this PluginUnitDefinition

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD